// Code generated by go-swagger; DO NOT EDIT.

package virtual_machines

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"net/http"

	"github.com/go-openapi/runtime"

	"gitlab.com/apricotsoft/public/infrastructure/vmdap/internal/transports/http/codegen/models"
)

/*VMDeleteDefault An unexpected error response

swagger:response vmDeleteDefault
*/
type VMDeleteDefault struct {
	_statusCode int

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

// NewVMDeleteDefault creates VMDeleteDefault with default headers values
func NewVMDeleteDefault(code int) *VMDeleteDefault {
	if code <= 0 {
		code = 500
	}

	return &VMDeleteDefault{
		_statusCode: code,
	}
}

// WithStatusCode adds the status to the vm delete default response
func (o *VMDeleteDefault) WithStatusCode(code int) *VMDeleteDefault {
	o._statusCode = code
	return o
}

// SetStatusCode sets the status to the vm delete default response
func (o *VMDeleteDefault) SetStatusCode(code int) {
	o._statusCode = code
}

// WithPayload adds the payload to the vm delete default response
func (o *VMDeleteDefault) WithPayload(payload *models.Error) *VMDeleteDefault {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the vm delete default response
func (o *VMDeleteDefault) SetPayload(payload *models.Error) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *VMDeleteDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(o._statusCode)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}
